﻿package com.ludoko.piratekart 
{
	
	import org.flixel.FlxG;
	import org.flixel.FlxSprite;
	
	/**
	 * ...
	 * @author Michael Lee
	 */
	public class Player extends FlxSprite
	{
		
		[Embed(source="../../../data/imgs/player.png")] protected var ImgPlayer:Class;
		[Embed(source="../../../data/audio/jump.mp3")] protected var SndJump:Class;
		
		public function Player(X:int, Y:int) 
		{
			super(X, Y);
			loadGraphic(ImgPlayer, false, true);
			
			maxVelocity.x = 100;			//walking speed
			acceleration.y = 400;			//gravity
			drag.x = maxVelocity.x*4;		//deceleration (sliding to a stop)
		}
		
		override public function update():void
		{
			acceleration.x = 0;
			if (FlxG.keys.LEFT)
			{
				acceleration.x -= drag.x;
				facing = FlxSprite.LEFT;
			}
			if (FlxG.keys.RIGHT)
			{
				acceleration.x += drag.x;
				facing = FlxSprite.RIGHT;
			}
			
			if(onFloor)
			{
				if (FlxG.keys.justPressed("SPACE"))
				{
					velocity.y = -acceleration.y * 0.34;
					FlxG.play(SndJump);
				}
			}
			
			super.update();
		}
		
	}

}